#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ETrailerCategory {
    Invalid = 0,
    Gameplay = 1,
    Teaser = 2,
    Cinematic = 3,
    Update = 4,
    Accolades = 5,
    Interview = 6,
}

impl ETrailerCategory {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Gameplay as i32 => Some(Self::Gameplay),
            x if x == Self::Teaser as i32 => Some(Self::Teaser),
            x if x == Self::Cinematic as i32 => Some(Self::Cinematic),
            x if x == Self::Update as i32 => Some(Self::Update),
            x if x == Self::Accolades as i32 => Some(Self::Accolades),
            x if x == Self::Interview as i32 => Some(Self::Interview),
            _ => None,
        }
    }
}
